POST api/AuthorizePatientApplication

Supply the code to the portal in order to complete the authorization of the application.

Request Information

URI Parameters

None.

Body Parameters

AuthorizePatientApplicationModel
NameDescriptionTypeAdditional information
EclClientAccountNumber

Identifier of the account in the portal.

string

None.

ApplicationInstanceId

Identifier of the patient application.

string

None.

PatientUsername

Username of the patient.

string

None.

PatientPassword

Password of the patient.

string

None.

Latitude

Latitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

Longitude

Longitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

AuthorizationCode

Authorization code sent by the portal to the patient.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "eclClientAccountNumber": "sample string 1",
  "applicationInstanceId": "sample string 2",
  "patientUsername": "sample string 3",
  "patientPassword": "sample string 4",
  "latitude": 1.0,
  "longitude": 1.0,
  "authorizationCode": "sample string 5"
}

application/xml, text/xml

Sample:
<AuthorizePatientApplicationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AuthorizePatientApplication">
  <ApplicationInstanceId>sample string 2</ApplicationInstanceId>
  <AuthorizationCode>sample string 5</AuthorizationCode>
  <EclClientAccountNumber>sample string 1</EclClientAccountNumber>
  <Latitude>1</Latitude>
  <Longitude>1</Longitude>
  <PatientPassword>sample string 4</PatientPassword>
  <PatientUsername>sample string 3</PatientUsername>
</AuthorizePatientApplicationModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'AuthorizePatientApplicationModel'.

Response Information

Resource Description

AuthorizePatientApplicationModel
NameDescriptionTypeAdditional information
EclClientAccountNumber

Identifier of the account in the portal.

string

None.

ApplicationInstanceId

Identifier of the patient application.

string

None.

PatientUsername

Username of the patient.

string

None.

PatientPassword

Password of the patient.

string

None.

Latitude

Latitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

Longitude

Longitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

AuthorizationCode

Authorization code sent by the portal to the patient.

string

None.

Response Formats

application/json, text/json

Sample:
{
  "eclClientAccountNumber": "sample string 1",
  "applicationInstanceId": "sample string 2",
  "patientUsername": "sample string 3",
  "patientPassword": "sample string 4",
  "latitude": 1.0,
  "longitude": 1.0,
  "authorizationCode": "sample string 5"
}

application/xml, text/xml

Sample:
<AuthorizePatientApplicationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AuthorizePatientApplication">
  <ApplicationInstanceId>sample string 2</ApplicationInstanceId>
  <AuthorizationCode>sample string 5</AuthorizationCode>
  <EclClientAccountNumber>sample string 1</EclClientAccountNumber>
  <Latitude>1</Latitude>
  <Longitude>1</Longitude>
  <PatientPassword>sample string 4</PatientPassword>
  <PatientUsername>sample string 3</PatientUsername>
</AuthorizePatientApplicationModel>